package com.ningdatech.kqapi.zzsfw.controller;

import com.ningdatech.kqapi.zzsfw.entity.dto.DscSxAdsShareItemQltQlsxCommonIDVKqDTO;
import com.ningdatech.kqapi.zzsfw.entity.entity.DscSxAdsShareItemQltQlsxCommonIDVKq;
import com.ningdatech.kqapi.zzsfw.manage.QlManage;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 省回流_政务服务_数据共享_事项基本信息表 前端控制器
 * </p>
 *
 * @author ZPF
 * @since 2023-10-25
 */
@Slf4j
@Validated
@RestController
@RequestMapping("/api/v1/zzsfw/")
@RequiredArgsConstructor
public class DscSxAdsShareItemQltQlsxCommonIDVKqController {

    private final QlManage qlManage;

    @GetMapping("/search")
    public List<DscSxAdsShareItemQltQlsxCommonIDVKq> search(@ModelAttribute DscSxAdsShareItemQltQlsxCommonIDVKqDTO dto) {
        return qlManage.search(dto);
    }
}
