package com.ningdatech.kqapi.sso.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2024/04/07 11:19
 */
@Data
@ApiModel(value = "SsoTokenVO", description = "单点登录TokenVO")
public class SsoTokenVO {

    @ApiModelProperty("错误码")
    private String errorCode;

    @ApiModelProperty("错误信息")
    private String errorMsg;

    @ApiModelProperty("是否成功")
    private Boolean success;

    @ApiModelProperty("响应体")
    private Object data;

    @ApiModelProperty("token")
    private String token;
}
